[Digikam-devel] boost graph library

Sayantan Datta kenzo.zombie at gmail.com
Sat Mar 10 13:41:41 UTC 2012


Hey,

Thanks buddy. It solved the problem. Thanks a lot. :)

Sayantan Datta.

On Sat, Mar 10, 2012 at 2:17 PM, Ananta Palani <anantapalani at gmail.com>wrote:

> Hi,
>
> What you actually need are .hpp include files from Boost, which is what
> 99% of the boost library is. See if your distro has a 'boost headers'
> package or similar that you can install. If not, just download boost from
> here (i'm not sure which version of digiKam you are building, but you will
> want either boost 1.47 or 1.48, I don't think 1.49 has been tested yet and
> the graph library was updated in 1.49). You can download tarball here:
>
>    http://www.boost.org/users/history/
>
> Then you just copy the boost directory within the tarball into your
> include path, for example /usr/include/boost
>
> The kipi-plugin panorama uses more some other parts of boost, so you might
> as well install the whole thing.
>
> That should be it!
>
> Best,
>
> -Ananta
>
> On Mar 10, 2012 2:48 AM, "Sayantan Datta" <kenzo.zombie at gmail.com> wrote:
>
>> Hey,
>> I have been trying to build digikam from source and i am facing some
>> problems in the boost graph library. I did install
>> boost-graph-openmpi
>> from the package kit, but somehow it still does say that Boost Graph
>> Libary is not found.
>> I am using fedora 16, how do i get the package?
>> Please reply.
>>
>> Sayantan Datta.
>>
>> _______________________________________________
>> Digikam-devel mailing list
>> Digikam-devel at kde.org
>> https://mail.kde.org/mailman/listinfo/digikam-devel
>>
>>
> _______________________________________________
> Digikam-devel mailing list
> Digikam-devel at kde.org
> https://mail.kde.org/mailman/listinfo/digikam-devel
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.kde.org/pipermail/digikam-devel/attachments/20120310/3f99a840/attachment.html>


More information about the Digikam-devel mailing list